be.fgov.ehealth.commons.protocol.v2

## Class AuthorPaginationRequestType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.commons.protocol.v2.AuthorRequestType
    - - be.fgov.ehealth.commons.protocol.v2.AuthorPaginationRequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:55:42+01:00",
                 comments="JAXB RI v2.2.11")
      public class AuthorPaginationRequestType
      extends AuthorRequestType
      implements Serializable

  eHealth SOA Request Type for Services that require an author and pagination as input.

  Java class for AuthorPaginationRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthorPaginationRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}AuthorRequestType">
             <attGroup ref="{urn:be:fgov:ehealth:commons:core:v2}PaginationAttributeGroup"/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorPaginationRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxElements()` Gets the value of the maxElements property.
    `int` | `getOffset()` Gets the value of the offset property.
    `void` | `setMaxElements(int value)` Sets the value of the maxElements property.
    `void` | `setOffset(int value)` Sets the value of the offset property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.AuthorRequestType

      `getAuthor, setAuthor`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorPaginationRequestType

          public AuthorPaginationRequestType()

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Gets the value of the offset property.

    - #### setOffset

          public void setOffset(int value)

      Sets the value of the offset property.

    - #### getMaxElements

          public int getMaxElements()

      Gets the value of the maxElements property.

    - #### setMaxElements

          public void setMaxElements(int value)

      Sets the value of the maxElements property.

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.